%define section		free

%{!?custom:	%define custom 0}
%{!?gcjprefix: 	%define gcjprefix %{nil}}
%{!?origin:	%{expand: %%define origin gcj%{gccsuffix}}}
%define gccsuffix	%{nil}
%define gccsoversion	6
%define priority	1420
%define	javaver		1.4.2
%define buildver	0
# the version-release string for the gcj rpms we require
%define gccver		4.0.0-0.42
%define jgcver		1.0.29

%define name		java-%{javaver}-%{origin}-compat
%define version		%{javaver}.%{buildver}
%define release		40jpp_31rh
%define cname           java-%{javaver}-%{origin}
#%define bcarchivever	127

%define	sdklnk		java-%{javaver}-%{origin}
%define	jrelnk		jre-%{javaver}-%{origin}
%define	sdkdir		%{cname}-%{version}
%define	jredir		%{sdkdir}/jre
%define sdkbindir	%{_jvmdir}/%{sdklnk}/bin
%define jrebindir	%{_jvmdir}/%{jrelnk}/bin
%define jvmjardir       %{_jvmjardir}/%{cname}-%{version}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	JPackage runtime scripts for GCJ

Group:		Development/Languages
License:	GPL
URL:		ftp://sources.redhat.com/pub/rhug/java-gcj-compat
Source0:        java-gcj-compat-%{jgcver}.tar.gz
#Source1:        bcprov-jdk14-%{bcarchivever}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	jpackage-utils >= 0:1.5, sed
BuildRequires:	gcc%{gccsuffix}-java >= %{gccver}
#BuildRequires:	eclipse-ecj
Requires:	libgcj%{gccsuffix} >= %{gccver}
Requires:	gjdoc
Requires:	jessie >= 1.0.0-5
Requires:	gnu-crypto >= 0:2.0.1-1jpp_2fc
Requires:	gnu-crypto-sasl-jdk1.4 >= 0:2.0.1-1jpp_2fc
Requires:	gnu-crypto-jce-jdk1.4 >= 0:2.0.1-1jpp_2fc
Requires(post): jpackage-utils >= 0:1.6.3-1jpp_1rh
Requires(postun): jpackage-utils >= 0:1.6.3-1jpp_1rh
Requires(post): libgcj%{gccsuffix} >= %{gccver}
Requires(postun): libgcj%{gccsuffix} >= %{gccver}
Provides:	jre-%{javaver}-%{origin} = %{epoch}:%{version}-%{release}
Provides:	jre-%{origin} = %{epoch}:%{version}-%{release}
Provides:	jre-%{javaver}, java-%{javaver}, jre = %{javaver}
Provides:	java-%{origin} = %{epoch}:%{version}-%{release}
Provides:	java = %{javaver}
Provides:	jaxp_parser_impl
Provides:	jndi, jdbc-stdext, jaas, jsse, jta
Obsoletes:	java-1.4.2-gcj4-compat <= 1.4.2.0-4jpp_2rh
ExclusiveArch: %{ix86} x86_64 ppc

%description
This package installs directory structures, shell scripts and symbolic
links to simulate a JPackage-compatible runtime environment with GCJ.

%package devel
Summary:	JPackage development scripts for GCJ
Group:		Development/Tools
Requires:	/usr/sbin/update-alternatives
Provides:       java-sdk-%{javaver}-%{origin} = %{epoch}:%{version}
Provides:	java-sdk-%{javaver}
Provides:       java-sdk-%{origin} = %{epoch}:%{version}
Provides:	java-sdk = %{javaver}
Provides:       java-%{javaver}-devel
Provides:	java-devel-%{origin} = %{epoch}:%{version}
Provides:       java-devel = %{javaver}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	eclipse-ecj
Requires:	gcc%{gccsuffix}-java >= %{gccver}
Obsoletes:	java-1.4.2-gcj4-compat-devel <= 1.4.2.0-4jpp_2rh

%description devel
This package installs directory structures, shell scripts and symbolic
links to simulate a JPackage-compatible development environment with
GCJ.

%package src
Summary:	Source files for libgcj
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libgcj%{gccsuffix}-src >= %{gccver}

%description src
This package installs a versionless src.zip symlink that points to a
specific version of the libgcj sources.

%prep
%setup -q -n java-gcj-compat-%{jgcver}

%build
%if %{custom}
export PATH=%{gcj_prefix}/bin:$PATH
%endif
%configure --disable-symlinks --with-arch-directory=%{_arch} \
  --with-os-directory=linux \
%if %{custom}
  --with-origin-name=%{origin} \
%endif
  --with-classpath-security=%{_prefix}/lib/security/classpath.security \
  --with-security-directory=%{_sysconfdir}/java/security/security.d
make

# gzip -dc %{SOURCE1} | tar -xf -
# # build bouncy castle provider
# pushd bcprov-jdk14-%{bcarchivever}/src
#   find -type d -name test | xargs rm -rf
#   ecj `find . -type f -name "*.java"`
#   jar2="bcprov-%{bcarchivever}.jar"
#   files="`find . -type f -name "*.class"`"
#   test ! -d classes && mf="" || mf="`find classes/ -type f -name "*.mf" 2>/dev/null`"
#   test -n "$mf" && fastjar cvfm $jar2 $mf $files || fastjar cvf $jar2 $files
# popd

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

# create extensions symlinks
# jessie
ln -s %{_javadir}/jsse.jar $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/jsse.jar

# extensions handling
install -dm 755 $RPM_BUILD_ROOT%{jvmjardir}
pushd $RPM_BUILD_ROOT%{jvmjardir}
   ln -s %{_jvmdir}/%{jredir}/lib/jaas.jar jaas-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/jdbc-stdext.jar jdbc-stdext-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/jndi.jar jndi-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/jsse.jar jsse-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/jta.jar jta-%{version}.jar
   for jar in *-%{version}.jar ; do
     ln -sf ${jar} $(echo $jar | sed "s|-%{version}.jar|-%{javaver}.jar|g")
     ln -sf ${jar} $(echo $jar | sed "s|-%{version}.jar|.jar|g")
   done
popd

# security directories
install -dm 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/security

# default security provider, provided by libgcj
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/java/security/security.d
touch $RPM_BUILD_ROOT%{_sysconfdir}/java/security/security.d/1000-gnu.java.security.provider.Gnu
# touch $RPM_BUILD_ROOT%{_sysconfdir}/java/security/security.d/2000-org.bouncycastle.jce.provider.BouncyCastleProvider

# versionless symlinks
pushd $RPM_BUILD_ROOT%{_jvmdir}
   ln -s %{jredir} %{jrelnk}
   ln -s %{sdkdir} %{sdklnk}
popd

pushd $RPM_BUILD_ROOT%{_jvmjardir}
   ln -s %{sdkdir} %{jrelnk}
   ln -s %{sdkdir} %{sdklnk}
popd

# generate file lists
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type d \
  | sed 's|'$RPM_BUILD_ROOT'|%dir |' >  %{name}-%{version}-all.files
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type f -o -type l \
  | sed 's|'$RPM_BUILD_ROOT'||'      >> %{name}-%{version}-all.files

cat %{name}-%{version}-all.files \
  > %{name}-%{version}.files

find $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}/bin -type f -o -type l \
  | sed "s|^$RPM_BUILD_ROOT||"      > %{name}-%{version}-sdk-bin.files

# # install bouncy castle provider
# install -dm 755 $RPM_BUILD_ROOT%{_javadir}/gcj-endorsed
# install -pm 644 bcprov-jdk14-%{bcarchivever}/src/bcprov-%{bcarchivever}.jar \
#   $RPM_BUILD_ROOT%{_javadir}/gcj-endorsed/bcprov-%{bcarchivever}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives \
  --install %{_bindir}/java java %{jrebindir}/java %{priority} \
  --slave %{_jvmdir}/jre          jre          %{_jvmdir}/%{jrelnk} \
  --slave %{_jvmjardir}/jre       jre_exports  %{_jvmjardir}/%{jrelnk} \
  --slave %{_bindir}/rmiregistry  rmiregistry  %{jrebindir}/rmiregistry

update-alternatives \
  --install %{_jvmdir}/jre-%{origin} \
      jre_%{origin} %{_jvmdir}/%{jrelnk} %{priority} \
  --slave %{_jvmjardir}/jre-%{origin} \
      jre_%{origin}_exports %{_jvmjardir}/%{jrelnk}

update-alternatives \
  --install %{_jvmdir}/jre-%{javaver} \
      jre_%{javaver} %{_jvmdir}/%{jrelnk} %{priority} \
  --slave %{_jvmjardir}/jre-%{javaver} \
      jre_%{javaver}_exports %{_jvmjardir}/%{jrelnk}

# rt.jar
ln -sf \
  %{_javadir}/libgcj-`gij%{gccsuffix} --version | head -n 2 | tail -n 1 | awk '{ print $5 }'`.jar \
  %{_jvmdir}/%{cname}-%{version}/jre/lib/rt.jar

# jaas.jar
ln -sf \
  %{_javadir}/libgcj-`gij%{gccsuffix} --version | head -n 2 | tail -n 1 | awk '{ print $5 }'`.jar \
  %{_jvmdir}/%{cname}-%{version}/jre/lib/jaas.jar

# jdbc-stdext.jar
ln -sf \
  %{_javadir}/libgcj-`gij%{gccsuffix} --version | head -n 2 | tail -n 1 | awk '{ print $5 }'`.jar \
  %{_jvmdir}/%{cname}-%{version}/jre/lib/jdbc-stdext.jar

# jndi.jar
ln -sf \
  %{_javadir}/libgcj-`gij%{gccsuffix} --version | head -n 2 | tail -n 1 | awk '{ print $5 }'`.jar \
  %{_jvmdir}/%{cname}-%{version}/jre/lib/jndi.jar

# jta.jar
ln -sf \
  %{_javadir}/libgcj-`gij%{gccsuffix} --version | head -n 2 | tail -n 1 | awk '{ print $5 }'`.jar \
  %{_jvmdir}/%{cname}-%{version}/jre/lib/jta.jar

# hard-code this to %{_libdir}/libgcjawt.so.6 -- if we want to support
# another major library version installed in parallel we can create a
# separate java-1.4.2-gcjNEXTVERSION-compat RPM
ln -sf \
  %{_libdir}/libgcjawt.so.%{gccsoversion} \
  %{_jvmdir}/%{cname}-%{version}/jre/lib/%{_arch}/libjawt.so

# java.security
ln -sf \
  %{_prefix}/lib/security/classpath.security \
  %{_jvmdir}/%{cname}-%{version}/jre/lib/security/java.security

%{_bindir}/rebuild-security-providers

# jaxp_parser_impl
update-alternatives --install %{_javadir}/jaxp_parser_impl.jar \
  jaxp_parser_impl \
  %{_javadir}/libgcj-`gij%{gccsuffix} --version | head -n 2 | tail -n 1 | awk '{ print $5 }'`.jar 20

%post devel

update-alternatives \
  --install %{_bindir}/javac javac %{sdkbindir}/javac %{priority} \
  --slave %{_jvmdir}/java     java_sdk          %{_jvmdir}/%{sdklnk} \
  --slave %{_jvmjardir}/java  java_sdk_exports  %{_jvmjardir}/%{sdklnk} \
  --slave %{_bindir}/javadoc  javadoc           %{sdkbindir}/javadoc \
  --slave %{_bindir}/javah    javah             %{sdkbindir}/javah \
  --slave %{_bindir}/jar      jar               %{sdkbindir}/jar \
  --slave %{_bindir}/rmic     rmic              %{sdkbindir}/rmic

update-alternatives \
  --install %{_jvmdir}/java-%{origin} \
      java_sdk_%{origin} %{_jvmdir}/%{sdklnk} %{priority} \
  --slave %{_jvmjardir}/java-%{origin} \
      java_sdk_%{origin}_exports %{_jvmjardir}/%{sdklnk}

update-alternatives \
  --install %{_jvmdir}/java-%{javaver} \
      java_sdk_%{javaver} %{_jvmdir}/%{sdklnk} %{priority} \
  --slave %{_jvmjardir}/java-%{javaver} \
      java_sdk_%{javaver}_exports %{_jvmjardir}/%{sdklnk}

# jni.h
ln -sf \
  `gcj%{gccsuffix} -print-file-name=include/jni.h` \
  %{_jvmdir}/%{cname}-%{version}/include/jni.h

# jawt.h
ln -sf \
  `gcj%{gccsuffix} -print-file-name=include/jawt.h` \
  %{_jvmdir}/%{cname}-%{version}/include/jawt.h

# jawt_md.h
ln -sf \
  `gcj%{gccsuffix} -print-file-name=include/jawt_md.h` \
  %{_jvmdir}/%{cname}-%{version}/include/linux/jawt_md.h

%post src

# src.zip
ln -sf \
  %{_javadir}/src-`gcj%{gccsuffix} --version | head -n 1 | awk '{ print $3 }'`.zip \
  %{_jvmdir}/%{cname}-%{version}/src.zip

%postun
if [ $1 -eq 0 ] ; then
   update-alternatives --remove java %{jrebindir}/java
   update-alternatives --remove jre_%{origin}  %{_jvmdir}/%{jrelnk}
   update-alternatives --remove jre_%{javaver} %{_jvmdir}/%{jrelnk}
   update-alternatives --remove jaxp_parser_impl %{_javadir}/jaxp_parser_impl.jar
fi

%{_bindir}/rebuild-security-providers

%postun devel
if [ $1 -eq 0 ] ; then
   update-alternatives --remove javac %{sdkbindir}/javac
   update-alternatives --remove java_sdk_%{origin}  %{_jvmdir}/%{sdklnk}
   update-alternatives --remove java_sdk_%{javaver} %{_jvmdir}/%{sdklnk}
fi

%triggerin -- libgcj%{gccsuffix} > %{gccver}
{
  # rt.jar
  ln -sf \
    %{_javadir}/libgcj-`gij%{gccsuffix} --version | head -n 2 | tail -n 1 | awk '{ print $5 }'`.jar \
    %{_jvmdir}/%{cname}-%{version}/jre/lib/rt.jar

  # jaas.jar
  ln -sf \
    %{_javadir}/libgcj-`gij%{gccsuffix} --version | head -n 2 | tail -n 1 | awk '{ print $5 }'`.jar \
    %{_jvmdir}/%{cname}-%{version}/jre/lib/jaas.jar

  # jdbc-stdext.jar
  ln -sf \
    %{_javadir}/libgcj-`gij%{gccsuffix} --version | head -n 2 | tail -n 1 | awk '{ print $5 }'`.jar \
    %{_jvmdir}/%{cname}-%{version}/jre/lib/jdbc-stdext.jar

  # jndi.jar
  ln -sf \
    %{_javadir}/libgcj-`gij%{gccsuffix} --version | head -n 2 | tail -n 1 | awk '{ print $5 }'`.jar \
    %{_jvmdir}/%{cname}-%{version}/jre/lib/jndi.jar

  # jta.jar
  ln -sf \
    %{_javadir}/libgcj-`gij%{gccsuffix} --version | head -n 2 | tail -n 1 | awk '{ print $5 }'`.jar \
    %{_jvmdir}/%{cname}-%{version}/jre/lib/jta.jar

  # libjawt.so
  ln -sf \
    %{_libdir}/libgcjawt.so.%{gccsoversion} \
    %{_jvmdir}/%{cname}-%{version}/jre/lib/%{_arch}/libjawt.so

  # jaxp_parser_impl
  update-alternatives --install %{_javadir}/jaxp_parser_impl.jar \
    jaxp_parser_impl \
    %{_javadir}/libgcj-`gij%{gccsuffix} --version | head -n 2 | tail -n 1 | awk '{ print $5 }'`.jar 20
} || :

# gcc-java requires libgcj-devel which provides jni.h
%triggerin devel -- gcc%{gccsuffix}-java > %{gccver}
{
  # jni.h
  ln -sf \
    `gcj%{gccsuffix} -print-file-name=include/jni.h` \
    %{_jvmdir}/%{cname}-%{version}/include/jni.h

  # jawt.h
  ln -sf \
    `gcj%{gccsuffix} -print-file-name=include/jawt.h` \
    %{_jvmdir}/%{cname}-%{version}/include/jawt.h

  # jawt_md.h
  ln -sf \
    `gcj%{gccsuffix} -print-file-name=include/jawt_md.h` \
    %{_jvmdir}/%{cname}-%{version}/include/linux/jawt_md.h
} || :

%triggerin src -- libgcj%{gccsuffix}-src >= %{gccver}
{
  ln -sf \
    %{_javadir}/src-`gcj%{gccsuffix} --version | head -n 1 | awk '{ print $3 }'`.zip \
    %{_jvmdir}/%{cname}-%{version}/src.zip
} || :

%files -f %{name}-%{version}.files
%defattr(-,root,root,-)
%{_bindir}/*
%doc
%dir %{_jvmdir}/%{sdkdir}
%dir %{jvmjardir}
%{jvmjardir}/*.jar
%{_jvmdir}/%{jrelnk}
%{_jvmjardir}/%{jrelnk}
#%{_jvmprivdir}/*
%{_sysconfdir}/java/security/security.d/1000-gnu.java.security.provider.Gnu
# %{_javadir}/gcj-endorsed/bcprov-%{bcarchivever}.jar
# %{_sysconfdir}/java/security/security.d/2000-org.bouncycastle.jce.provider.BouncyCastleProvider

%files devel -f %{name}-%{version}-sdk-bin.files
%defattr(-,root,root)
%doc
%dir %{_jvmdir}/%{sdkdir}/bin
%{_jvmdir}/%{sdkdir}/lib
%{_jvmdir}/%{sdkdir}/include
%{_jvmdir}/%{sdklnk}
%{_jvmjardir}/%{sdklnk}

%files src
%defattr(-,root,root)

%changelog
* Mon Jun  6 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_31rh
- Add jaxp_parser_impl.jar alternative. (#158751)
- Separate post and postun requires lines.
- Use gij, not gcj to compute version strings in post and triggerin sections.

* Fri May 20 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_24rh
- Update libjawt.so symlink to reflect libgcjawt.so's new name.

* Thu May 19 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_23rh
- Import java-gcj-compat 1.0.29.

* Wed May 18 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_22rh
- Move gcc-java requirement from base to -devel.

* Wed May 18 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_21rh
- Comment out bouncy castle stuff.

* Tue May 17 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_20rh
- Require jpackage-utils for post and postun.
- Run rebuild-security-providers with full path.

* Tue May 17 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_19rh
- Require eclipse-ecj for build.
- Include Bouncy Castle provider.
- Exclusive arch ix86, x86_64 and ppc.

* Wed May 11 2005 Andrew Overholt <overholt@redhat.com>
- Add machinery to allow for use with non-system gcc installations.

* Fri Apr 15 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_18rh
- Require gnu-crypto.

* Fri Apr 15 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_17rh
- Provide jaxp_parser_impl.

* Wed Apr 13 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_16rh
- Import java-gcj-compat 1.0.28.

* Mon Apr  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_15rh
- Import java-gcj-compat 1.0.27.
- Bump gccver to 4.0.0-0.39.
- Make -devel take ownership of symlinks as well as regular files.

* Wed Mar 30 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_14rh
- Import java-gcj-compat 1.0.23.
- Always look for classpath.security in /usr/lib. (151561)
- Provide jsse. (151662)

* Thu Mar 17 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_13rh
- Uncomment rebuild-security-providers.
- Require jessie >= 1.0.0-3.

* Tue Mar 15 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_12rh
- Don't re-run rebuild-security-providers.

* Tue Mar 15 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_11rh
- Add jaas and jta provides.

* Tue Mar  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_10rh
- Import java-gcj-compat 1.0.22.
- Symlink jaas.jar, jdbc-stdext.jar, jndi.jar and jta.jar to
  libgcj.jar.

* Sat Mar  5 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_9rh
- Import java-gcj-compat 1.0.21.

* Sat Mar  5 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_8rh
- Import java-gcj-compat 1.0.20.
- Depend on jessie.
- Install jsse.jar.
- Install security directory.
- Symlink classpath.security to java.security.

* Sat Mar  5 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_7rh
- Import java-gcj-compat 1.0.19.

* Thu Mar  3 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_6rh
- Import java-gcj-compat 1.0.18.

* Thu Mar  3 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_5rh
- Update descriptions.

* Wed Mar  2 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_4rh
- Bump release number.

* Wed Mar  2 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_3rh
- Make java-1.4.2-gcj-compat-devel obsolete java-1.4.2-gcj4-compat-devel.
- Import java-gcj-compat 1.0.17.
- Specify --with-arch-directory and --with-os-directory options on
  configure line.

* Tue Mar  1 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_2rh
- Make arch-specific.

* Tue Mar  1 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-40jpp_1rh
- Merge java-1.4.2-gcj4-compat into java-1.4.2-gcj-compat.
- Import java-gcj-compat 1.0.15.
- Add AWT Native Interface symlinks.
- Remove build requires on eclipse-ecj.

* Thu Feb 17 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-4jpp_4rh
- Add -src sub-package.

* Wed Feb  9 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-4jpp_3rh
- Import java-gcj-compat 1.0.14.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-4jpp_2rh
- Import java-gcj-compat 1.0.13.

* Mon Feb  7 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-4jpp_1rh
- Import java-gcj-compat 1.0.12.

* Wed Feb  2 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-4jpp_1rh
- Add Red Hat release number.

* Tue Feb  1 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-4jpp
- Remove gjdoc version requirement.
- Change java-gcj-compat version number.

* Tue Feb  1 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-4jpp
- Import java-gcj-compat 1.0.11.
- Require gjdoc.

* Tue Feb  1 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-4jpp
- Add jni.h symlink.
- Install rt.jar as an unmanaged symlink.
- Conflict and obsolete old java-gcj-compat rpms.
- Import java-gcj-compat 1.0.9.

* Mon Jan 24 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-3jpp
- Import java-gcj-compat 1.0.8.

* Thu Jan 13 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-2jpp
- Make jvmjardir use cname, not name.

* Wed Jan 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.4.2.0-1jpp
- Initial build.
